## INTRODUCTION

The IP Info module summarizes information for IPs:

- Log messages with the IP
- Is the IP banned?
- Links to IP lookup services

## REQUIREMENTS

Drupal core modules:

- ban
- dblog

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

No configuration is required. But you can specify an [IPinfo](https://ipinfo.io)
token or [ipapi.is](https://ipapi.is) key in the settings. The token/key is used
to display information about IPs directly in the Drupal administration.

    # Add this to your settings.php.
    $settings['ip_info']['ipinfo_io_token'] = 'your_token';
    $settings['ip_info']['ipapi_is_key'] = 'your_key';

## MAINTAINERS

Current maintainers:

- Antonín Slejška - https://www.drupal.org/u/anton%C3%ADn-slej%C5%A1ka
